# Awesome Joomla [![Awesome](https://cdn.rawgit.com/sindresorhus/awesome/d7305f38d29fed78fa85652e3a63e154dd8e8829/media/badge.svg)](https://github.com/sindresorhus/awesome)

> A curated list of awesome Joomla resources by [@anibalhsanchez](https://twitter.com/anibal_sanchez) [https://blog.anibalhsanchez.com](https://blog.anibalhsanchez.com)

Awesome list of Joomla seed repos, starters, boilerplates, examples, tutorials, components, modules, videos, and anything else in Joomla community.

**Current Joomla version**: 3.6.5

Aweseome Joomla Guidelines:

- No templates. If you are looking for templates, just google it.
- No extensions. If you are looking for templates, go to [Joomla! Extensions Directory (JED)](https://extensions.joomla.org/).

## Contents

- [Official Resources](#section)
- [Joomla! Extensions Directory (JED)](#another-section)
- [Leadership](#another-section)
- [Community](#another-section)
- [Experts on Twitter](#another-section)


## Official Resources

- [Joomla! - Main Site](https://www.joomla.org/)
- [Joomla! Volunteers Portal™](https://volunteers.joomla.org/)
    - [Board of Directors - Reports](https://volunteers.joomla.org/board-of-directors)
    - [Departments - Reports](https://volunteers.joomla.org/departments)
        - [Events](https://volunteers.joomla.org/departments/events)
        - [Legal & Financial](https://volunteers.joomla.org/departments/legal-financial)
        - [Marketing & Communication](https://volunteers.joomla.org/departments/marketing-communication)
        - [Operations](https://volunteers.joomla.org/departments/operations)
        - [Production](https://volunteers.joomla.org/departments/production)
        - [Programs](https://volunteers.joomla.org/departments/programs)
- [Advertise on Joomla! | BuySellAds](https://www.buysellads.com/buy/detail/278743)

## Joomla! Extensions Directory (JED)

- Most Common Submission Errors
    - Install name doesn't match listing name.
    - Use the [JED Checker](https://extensions.joomla.org/extensions/extension/miscellaneous/development/jedchecker/) tool to screen your extension before resubmitting.    
    - [Submission Error Codes](https://extensions.joomla.org/support/knowledgebase/item/submission-error-codes/)

## Leadership

### Organization Chart

![Organization Chart](https://community.joomla.org/images/blogs/leadership-blog/joomla_leadership_structure.png)

### Teams

- Events
    - Events
    - User Groups (JUG)
    - World Conference (JWC)
- Legal & Finance
    - Capital
    - Finance Team (FIT)
    - Trademark & Licensing (TLWG)
- Marketing & Communication
    - Community Translation
    - Marketing
    - Social Media
- Operations
    - Community Magazine (JCM)
    - Extensions Directory (JED)
    - Forum
    - Resources Directory (JRD)
    - Showcase Directory (JSD)
    - Template Directory (JTD)
    - Vulnerable Extensions List (VEL)
- Production
    - Automated Testing
    - Bug Squad
    - CMS Maintainance
    - CMS Release
    - Core Translation
    - Documentation (JDOCS)
    - Framework
    - Google Summer of Code (GSOC)
    - Joomla X
    - Security Strike Team (SST)
    - User Experience (JUX)
- Programs
    - Certification
    - Event Traveller Program (JET)

### Joomla! Board of Directors

- [President - Robert Jacobi](http://example.com)
- [Vice-President - Aleksander Kuczek](http://example.com)

- [Secretary - Luca Marzo](http://example.com)

#### Department Coordinators

- [Production - Michael Babker](https://twitter.com/mbabker)
- [Treasurer - Mike Demopoulos](https://twitter.com/mpmike)
- [Operations - Peter Martin](http://twitter.com/pe7er)
- [Marketing & Communication - Radek Suski](https://twitter.com/RadekSu)
- [Events - Rowan Hoskyns Abrahall](https://volunteers.joomla.org/joomlers/677-rowan-hoskyns-abrahall)
- [Legal & Finance - Søren Beck Jensen](https://twitter.com/sorenbeck)
- [Programs - Yves Hoppe](https://twitter.com/yveshoppe)

## Contribute

Contributions welcome! Read the [contribution guidelines](contributing.md) first.

## License

[![CC0](http://mirrors.creativecommons.org/presskit/buttons/88x31/svg/cc-zero.svg)](http://creativecommons.org/publicdomain/zero/1.0)

To the extent possible under law, Anibal Sanchez has waived all copyright and
related or neighboring rights to this work.
